
Redmine - Feature #1332

User display/editing of custom fields attached to their user profile

2008-05-30 17:27 - Tony Arnold

Status: Closed Start date: 2008-05-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

It would be great to allow the user to modify custom fields (or to mark certain custom fields as "user controllable") - this would let me

set-up additional information about a user such as their iChat/GoogleTalk address, their homepage or potentially an avatar/image.

Related issues:

Has duplicate Redmine - Feature #1104: Make custom user editable fields on my... Closed 2008-04-25

Has duplicate Redmine - Feature #1447: Resource management Closed 2008-06-13

History

#1 - 2008-07-07 15:29 - Marcello Henrique

Tony Arnold wrote:

It would be great to allow the user to modify custom fields (or to mark certain custom fields as "user controllable") - this would let me set-up

additional information about a user such as their iChat/GoogleTalk address, their homepage or potentially an avatar/image.

 Great! I like avatar, is important recognize better you ;-)

#2 - 2008-07-21 17:11 - Eric Davis

Marcello Henrique wrote:

Great! I like avatar, is important recognize better you ;-)

 I've added Gravator to support user avatars.  You can see it on my Redmine:

Account page - https://projects.littlestreamsoftware.com/account/show/1

Issue page - https://projects.littlestreamsoftware.com/issues/show/1450

Activity page - https://projects.littlestreamsoftware.com/projects/activity/redmine-timesheet?from=2008-07-22

I'll get a patch packaged up soon.

#3 - 2009-01-17 12:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Done in r2276. User custom fields can now be set as editable.
